# ✨ About DL_Track_US

---

## Mission

Our mission is to make **deep learning-based muscle architecture analysis** accessible to researchers, students, and clinicians working with musculoskeletal ultrasound.  
**DL_Track_US** provides an intuitive graphical interface to segment and analyze fascicles and aponeuroses, allowing cutting-edge research without requiring advanced programming skills.

---

## Goals

- Democratize the use of **deep learning** for ultrasound image and video analysis.
- Provide a **user-friendly** and **customizable** software platform.
- Foster **open-science practices** by making the tool freely available.
- Continuously **improve segmentation accuracy** through updates and community feedback.

---

## Roadmap

✅ Current Version (v0.3.0) includes:

- Automated and manual analysis of images and videos.
- Fascicle, aponeurosis segmentation and muscle parameter extraction.
- Model training module.
- Video preprocessing tools (cropping, resizing, anonymization).

🔜 Future Plans:

- Add intuitive manual labelling tools.
- Combine with feature tracking algorithm, e.g., Lucas-Kanade or kalman filter.
- Finalize fascicle curvature estimation and consideration.
- Extend model architectures (e.g., attention U-Nets, transformers).
- Broaden community contribution possibilities.

---

## Meet the Developers

---

### Paul Ritsche


<img src="../../md_graphics/devs/paul_ritsche.png" alt="paul" width="200">

Paul is the **lead developer** and primary coder behind DL_Track_US.  
He designed, implemented, and maintains the software in close collaboration with Neil Cronin.  
Paul has a background in **biomechanics**, **ultrasound imaging**, and **software development**.

[🔗 Read more about Paul](https://github.com/PaulRitsche)

---

### Neil Cronin

<img src="../../md_graphics/devs/neil_cronin.png" alt="neil" width="200">

Neil is the **co-developer** and **main visionary** behind DL_Track_US.  
His research in **biomechanics** and **muscle architecture** guided the core concepts and user-centered design of the tool.

[🔗 Read more about Neil](http://users.jyu.fi/~necronin/)

---

### Olivier Seynnes

<img src="../../md_graphics/devs/olivier_seynnes.png" alt="olivier" width="200">


Olivier has been involved with DL_Track_US from the early stages, providing **critical input**, **scientific validation**, and **feedback** during development.  
Olivier’s expertise in **muscle physiology** and **musculoskeletal ultrasound** ensured DL_Track_US met high scientific standards.

[🔗 Read more about Olivier](https://www.nih.no/english/about/employees/oliviers/)

---
