We are happy whenever you decide to contribute to DL_Track_US. However, when contributing to DL_Track_US, please first file an issue in our Github issue section. Label the issue with “improvement” and describe your suggestion. Please formulate the title of the issue similar to this: Contribution - Your contribution idea. Please also state in the issue whether you want to implement it yourself / already implemented it in your code or if you would like us to implement it. We will be in touch with you. Please note we have a code of conduct, please follow it in all your interactions with the project.

In case you have decided to implement your suggestion yourself and we agreed that you should file a pull request, take a look at the steps listed below.

## 1. Pull Request Process for contributing own material

1. Update the DL_Track_US_tutorial.pdf in the docs folder with details of changes to the interface should they be relevant for the user. Simply add the step where it is during the analysis or create a new chapter.
2. Add a changelog to the changelog.d folder describing exactly what you changed in the project and the environment.
3. When adding new functions, please follow the code and docstring styles used throughout the code. FYI, we used the Numpy styleguide.
4. Create a new branch (named yourchange_yourinitials) and a Pull Request to merge your work on the main branch of the project.

## 2. Report a bug

In order to report a bug, please file an issue in our issue section on Github. Label your issue with the “bug” label and describe the bug you found. Please formulate the title of the issue similar to this: Bugreport - Your bug that occured. Please describe the occurence of the bug as reproducible as possible. It’s best to share with us the following in the issue:

- operating system
- the error raised by your code
- all steps to reproduce the bug
- code that produced the bug

We will then be in touch with you and try to solve the problem as quickly as possible. Please note we have a code of conduct, please follow it in all your interactions with the project.

## 3. Getting Support

If you have any questions about the project, encountered problems / need help during the installation procedure or encountered problems / need help during the usage of DL_Track_US_US not related to bugs, don’t hesitate to report this in the Q&A section in the DL_Track_US discussion forum. This is the space to have conversations, ask questions and post answers without opening issues.