# ✂️ Crop Video — Cut Out Unnecessary Frames

In order to **save time** when analysing videos, you can **cut out frames without muscle movement** at the start and/or end of videos.

---

## 1. Opening the Crop Video Tool

- Once you have started the GUI and the main window opened, click on  
  <span style="color: #a34ba1;">**Advanced Methods**</span>.
- In the <span style="color: #2eaf66;">**Select Method**</span> dropdown, select **"Crop Video"**.
- A separate **Crop Video Window** will pop up.

![adv_meth](md_graphics\inspecting_masks\advanced_methods.png)
![select_meth](md_graphics\inspecting_masks\select_method.png)
![crop_vid](md_graphics\crop_video\crop_video_window.png)

---

## 2. Loading the Video

- Click the <span style="color: #a34ba1;">**Load Video**</span> button.
- Select the video file you want to crop.

![vid_button](md_graphics\crop_video\load_video_button.png)

After successfully loading the video, the UI should update.

---

## 3. Selecting Frames to Keep

- Use the **yellow slider** to watch through the video and identify sections without muscle movement.
- Then, type in the desired <span style="color: #299ed9;">**Start Frame**</span> and <span style="color: #299ed9;">**End Frame**</span>.

![select_frames](md_graphics\crop_video\select_frames.png)

---

## 4. Saving the Cropped Video

- Click the <span style="color: #a34ba1;">**Browse**</span> button to select the output folder where the cropped video will be saved.
- Finally, click <span style="color: #2eaf66;">**Crop Video**</span> to save the trimmed video.

![select_output](md_graphics\crop_video\select_output.png)

---

> 💡 **Tip:**  
> Cropping your videos to include only the **relevant frames** with visible muscle movement significantly **reduces processing time** and **improves analysis efficiency**!

---
